# Cointracking

## Download CSV

* Select `cointracking` in the download CSV prompt.

## Import CSV

* Change your user time zone to UTC:

  * Account -> Account Settings -> Account & Notifications -> Your time zone -> set to UTC
  * This is necessary because manual import CSVs into cointracking.info assume user time zone.

* Go to <https://cointracking.info>

* Go to Enter Coins -> Scroll to very bottom -> CSV import .

* Upload the CSV file.

* Finish import according to instructions.

\*Note: I have considered detecting user's timezone to generate CSV but found it prone to errors.

## Notes

####

#### Omitted transactions

All transactions starting with underscore are omitted from the Cointracking CSV (i.e. \_LP\_WITHDRAW).  This means these transactions must be imported into Cointracking manually (or ignored where appropriate).

#### **Cointracking detects the wrong currency with same symbol?  What can I do?**

1. Find the cointracking code for the currency here <https://cointracking.info/coin_charts.php> (Search for a Coin, Currency, or Commodity)

   a. example: For MIR, "MIR2" is the correct code.
2. Add comment to <https://github.com/hodgerpodger/staketaxcsv/issues/90> with currency and cointracking code (i.e. MIR should be "MIR2").   Can also email <support@stake.tax>.
3. We'll have it fixed in a jiffy (or if you're a developer, send a PR!)

#### Can I import CSV multiple times?

Yes, for Cointracking.  You may import the full CSV multiple times and Cointracking will detect duplicates and omit them.  It is also a good idea to check for duplicates and delete them at <https://cointracking.info/duplicate_transactions.php> .

## Reference

* CSV format conforms to guide at <https://cointracking.info/import/import_csv/>
* liquidity pool txs: <https://cointracking.freshdesk.com/en/support/solutions/articles/29000042820-import-of-liquidity-pool-mining-transactions>
* REALIZED\_PNL: <https://cointracking.freshdesk.com/en/support/solutions/articles/29000033677-binance-futures-csv-upload>

## Change Log

<https://github.com/hodgerpodger/staketaxcsv/search?o=desc&q=cointracking&s=committer-date&type=commits>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stake.tax/export-csv-formats/cointracking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
